Libgtk

Signaler
Messages postés
2
Date d'inscription
jeudi 7 octobre 2004
Statut
Membre
Dernière intervention
24 avril 2005
-
Messages postés
7
Date d'inscription
mardi 30 décembre 2003
Statut
Membre
Dernière intervention
7 mai 2005
-
Salut,je post car j'ai j'utilise gtk+-2.6.7 avec devcpp. Sa marche mais quand
j'utilise la fonction [gtk_image_new_from_file] sa ce lance et m'affiche:
"Le point d'entrée de procédure gtk_image_new_from_file_utf8 est introuvable
dans la bibliothèque de liaisons dynamique libgtk-win32-2.0-0.dll.". Voila
de plus les dll son bien placé.
Et quand j'utilise un label sa m'affiche:
"** ERROR **:file shape.c: line 75 (pango_shape): assertion failed:
(glyphs->num_glyphs >0) abording..."Et le package pango-1.8.0-1 est installé.

3 réponses

Messages postés
2023
Date d'inscription
mardi 24 septembre 2002
Statut
Membre
Dernière intervention
28 juillet 2008
5
Je me suis contenter de la 2.6.3 :) C'est deja tellement la "..." à
installer et la franchement je peux pas t'aider. Tes sur que tes dll
correspondent à la meme version ? J'ai eu pamal de pb avec.
Messages postés
2
Date d'inscription
jeudi 7 octobre 2004
Statut
Membre
Dernière intervention
24 avril 2005

oui c'est les bonnes dll.
Messages postés
7
Date d'inscription
mardi 30 décembre 2003
Statut
Membre
Dernière intervention
7 mai 2005

Le message que tu as, on dirait qu'il te manque les lib, bien que tu aies les .h ...

Tu es certain d'avoir tous les .o ( ou .a, je sais plus comment c'est sous windows ) correspondant à tes headers?